Subject: bug#13555: printf ignores length modifier

From: Assaf Gordon <[email-masked]>
Date: Thu, 18 Oct 2018 17:28:34 -0600

tags 13555 notabug
close 13555
stop

(triaging old bugs)

Hello,

 > Paul Eggert <[email-masked]> wrote:
 >
 >>  Marcel Böhme wrote:
 >>> $old/printf "%hi\n" 0xFFFF
 >>> -1
 >>> $printf "%hi\n" 0xFFFF
 >>> 65535
 >>
 >> None of these length modifiers are specified by POSIX,
 >> so we're talking about what it's more useful for printf
 >> to do, rather than whether this is a violation of
 >> a standard.

On 26/01/13 05:55 PM, Marcel Boehme wrote:
> Then, I suppose, the observed semantic change for the mentioned version pair was _intended_. Found it odd that I didn't find documented that / why length modifiers are 'suddenly' ignored.
> 
> Thanks for your follow-up!

With no further comments in 5 years, I'm closing this bug.

-assaf